Get vendor invoice concentration
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/supplier-concentration \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/supplier-concentration"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/supplier-concentration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "CORPORACIóN ALVARADO-TORRES S.A.B.",
"rfc": "PEIC211118IS0",
"total": 118260.18,
"share": 16.1,
"transactions": [
{
"date": "2014-01-01T00:00:00.000Z",
"total": 37578.456999999995
}
]
}
]{
"message": "<string>"
}{
"message": "<string>"
}Providers
Vendor Concentration Insight
Returns the concentration of issued or received invoices by vendors.
GET
/
entities
/
{entityId}
/
insights
/
supplier-concentration
Get vendor invoice concentration
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Filter by invoice issuing date (greater than)
Filter by invoice issuing date (less than)
Response
Vendor invoicing concentration
Supplier name
Example:
"CORPORACIóN ALVARADO-TORRES S.A.B."
RFC (Registro Federal de Contribuyentes)
Required string length:
12 - 13Example:
"PEIC211118IS0"
Total amount of all invoices in the given period
Example:
118260.18
Percentage representing the amount invoiced vs. the total sales in the selected period
Example:
16.1
Show child attributes
Show child attributes
Was this page helpful?